NAME
    geoplace - maintain a database of named places
    
VERSION
    1.2

SYNOPSIS
    geoplace option arg ?arg ...?

DESCRIPTION
    Creates and manipulates geoplaces.  A geoplace is a character string
    associated with a point on the Earth.  Geoplaces can represent cities,
    observation stations, and other points of interest.
    The legal options are:

    geoplace new placeName {lat lon}
        Adds a new place to the database with the given coordinates.  If a
        place named placeName already exists, returns an error.

    geoplace set placeName ?{lat lon}?
        Without {lat lon}, sets result to the coordinates of the indicated
        place.  Returns an error if place does not exist.  With {lat lon},
        sets coordinates of place, creating it if necessary.

    geoplace updatecmd add id ?text?
    geoplace updatecmd rm id
    geoplace updatecmd id
        Adds, deletes, or displays a command to execute if geoPlace database
        changes.

        With five arguments:
          add means add a command to the list
          id is user supplied identifier.  Used for later reference.
          text is script evaluated any time the geoplace database changes.
	With four arguments, removes command identified as id.
        With three arguments, returns text of command whose id is the third arg.

        Note:  can be used to update widgets, although widget commands should
        call this command automatically when the widget is created.  See
        documentation for the widget command to see if you need to use this
        command when creating a widget.

    geoplace rm placeName
    geoplace remove placeName
        Removes a place from the database.
    
    geoplace list
        Sets the result to a list of places created with geoplace new.

    geoplace distance placeOR{lat lon} placeOR{lat lon} ?unit?
        Sets the result to the distance between two places or
        coordinate pairs.  Assumes a spherical Earth.
        Default distance unit is great circle degrees, unless optional unit is
        specified, which can be nmi (nautical miles), smi (statute
        miles), km (kilometers), or gsdeg (great circle degrees).

    geoplace nearest {lat lon}ORplaceName ?placeName placeName ...?
        Sets result to the name of the place nearest the given coordinates,
        assuming a spherical Earth.  If optional list of place names is given,
        command searches the list instead of the entire geoplace database.

    geoplace step {lat lon}ORplaceName bearing range ?unit?
        Sets result to {lat lon} of point at given bearing (degrees cw from
        north) and range from {lat lon} or place.  Default unit is great circle
        degrees, unless optional unit is specified, which can be
        nmi (nautical miles), smi (statute miles), km (kilometers), or
        gsdeg (great circle degrees).

    geoplace inrange {lat lon}ORplaceName {range ?unit?} ?placeName ...?
        Sets result to a list of places within range of {lat lon}ORplace.
        Default unit for range is great circle degrees, unless range given
        with optional unit, which can be nmi (nautical miles),
        smi (statute miles), km (kilometers), or gsdeg (great circle degrees).
        If optional list of place names is given, command searches the
        list instead of entire geoplace database.

    geoplace lonbtwn lon {lon0 lon1}
        Set result to "1" if a lon is between two other lons, else "0"
        "Between" means in the smaller of the two longitude intervals
        bounded by lon0 and lon1.  Correctly handles intervals containing
	the International Dateline.
